CREATE FUNCTION "dba"."getid_sqllist"()
returns integer
begin
  declare li_return integer;
  select max(id) + 1 into li_return from sqllist;
  if li_return is null or li_return < 1 then
    set li_return=1;
    while exists(select 1 from sqllist where id = li_return) loop
      set li_return=li_return+1
    end loop
  end if;
  return(li_return)
end